Subject: X-Forwarded-For and IPv6?

From: Adrian Chadd <[email-masked]>
Date: Wed, 27 Aug 2008 20:55:03 +0800

G'day,

It strikes me that there may be a variety of software out there expecting
IPv4-only like strings in X-Forwarded-For (and making security decisions
based on them!) and introducing IPv6-aware intermediaries may confuse things
somewhat.

Squid has grown IPv6 support and from what I recall, shuffles IPv6 IP
strings into the XFF header. I'll have to re-check the code though.

Just out of curiousity, what are other intermediaries doing for IPv6
addresses inside X-Forwarded-For headers?

Adrian